Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038086
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 01. General setupmajoralways2018-03-05 14:552018-03-12 09:35
ReporterngarciaView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR18Q1.1
StatusclosedFix in branchFixed in SCM revision1f120e088156
ProjectionnoneETAnoneTarget Version3.0PR18Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-04-12
Regression introduced in release3.0PR17Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/c17655a6fb3ffb29cdd5d73073615ba9d60cd941 [^]
Triggers an Emergency PackNo
Summary

0038086: Cannot log in in the application if the log in warehouse name contains an apostrophe (')

DescriptionCannot log in in the application if the log in warehouse name contains an apostrophe (')
Steps To ReproduceAs group admin role:
   Go to Warehouse and Storage Bins window and modify the warehouse name of the login warehouse from España Región Norte to España' Región Norte

   Log out and log in
   Check the following error message is shown in the browser:

Uncaught SyntaxError: Unexpected identifier - https://livebuilds.openbravo.com/erp_pi_pgsql/org.openbravo.client.kernel/OBCLKER_Kernel/SessionDynamic:... [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0038041 closedcaristu Cannot log in in the application if the log in warehouse name contains an apostrophe (') 

-  Notes
(0103133)
hgbot (developer)
2018-03-09 12:17

Repository: erp/backports/3.0PR18Q1.1
Changeset: 1f120e0881569f0845c1e7a04c2eaea8109460d6
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Mar 09 08:37:05 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q1.1/rev/1f120e0881569f0845c1e7a04c2eaea8109460d6 [^]

fixes bug 38086: Can't login if the user profile widget data contains apostrophes

  The JS object used to populate the user profile widget, was being generated without escaping the data properly which could result in a wrong object definition in case of having special characters like apostrophes (').

  To fix this issue we are now using the "js_string" built-in in the .ftl in order to escape the identifiers and labels of the user profile with the escaping rules of the JS language.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/templates/user-info.js.ftl
---
(0103146)
alostale (developer)
2018-03-12 09:35

reviewed + tested

- Issue History
Date Modified Username Field Change
2018-03-08 19:23 caristu Type defect => backport
2018-03-08 19:23 caristu Target Version => 3.0PR18Q3.1
2018-03-09 08:51 caristu Target Version 3.0PR18Q3.1 => 3.0PR18Q1.1
2018-03-09 12:17 hgbot Checkin
2018-03-09 12:17 hgbot Note Added: 0103133
2018-03-09 12:17 hgbot Status scheduled => resolved
2018-03-09 12:17 hgbot Resolution open => fixed
2018-03-09 12:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q1.1/rev/1f120e0881569f0845c1e7a04c2eaea8109460d6 [^]
2018-03-12 09:35 alostale Review Assigned To => alostale
2018-03-12 09:35 alostale Note Added: 0103146
2018-03-12 09:35 alostale Status resolved => closed
2018-03-12 09:35 alostale Fixed in Version => 3.0PR18Q1.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker